using SqlSugar;
using System;
using System.Runtime.Serialization;
using WCS.Entity.Protocol.Protocol.Robot;

namespace WCS.Entity.Protocol.Robot
{
    [DataContract]
    [SugarTable("SX_Robot521")]
    public class WCS_Robot521 : IRobot521
    {
        [TimeDbSplitField(DateType.Day)]
        public DateTime Frame { get; set; }

        [SugarColumn(ColumnDataType = "symbol")]
        public string Code { get; set; }

        [DataMember(Order = 0)]
        public short AddrFrom { get; set; }
        [DataMember(Order = 1)]
        public short AddrTo { get; set; }
        [DataMember(Order = 2)]
        public short GoodsType { get; set; }
        [DataMember(Order = 3)]
        public short TaskQty { get; set; }
        [DataMember(Order = 4)]
        public RobotRqst Rqst { get; set; }
        [DataMember(Order = 5)]
        public short VoucherNo { get; set; }
        [DataMember(Order = 6)]
        public RobotMode Mode { get; set; }
        [DataMember(Order = 7)]
        public RobotRunStatus Status { get; set; }
        [DataMember(Order = 8)]
        public short Alarm { get; set; }
        [DataMember(Order = 9)]
        public float Runtime { get; set; }
        [DataMember(Order = 10)]
        public int Task1 { get; set; }
        [DataMember(Order = 11)]
        public int Task2 { get; set; }
        [DataMember(Order = 12)]
        public int Task3 { get; set; }
    }
}
